Bug 506816 - Spacewalk-koan package fails to install if rhn-kickstart-virtualization package installed
Spacewalk-koan package fails to install if rhn-kickstart-virtualization packa...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Jay Dobies
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-18 15:00 EDT by Steve Salevan
Modified: 2009-09-10 15:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:26:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-06-18 15:00:25 EDT
Description of problem:
If the rhn-kickstart-virtualization package is present upon a machine (typically it exists on PV hosts which have been provisioned by Satellites < 530) and a user attempts to install spacewalk-koan, the package will fail to install due to the following error:

'Error while executing packages action: Transaction Check Error:   file /usr/share/rhn/actions/kickstart_guest.py from install of spacewalk-koan-0.1.11-9.el5sat.noarch conflicts with file from package rhn-kickstart-virtualization-2.0.10-10.el5.noarch\n  file /usr/share/rhn/actions/kickstart_guest.pyc from install of spacewalk-koan-0.1.11-9.el5sat.noarch conflicts with file from package rhn-kickstart-virtualization-2.0.10-10.el5.noarch\n  file /usr/share/rhn/actions/kickstart_guest.pyo from install of spacewalk-koan-0.1.11-9.el5sat.noarch conflicts with file from package rhn-kickstart-virtualization-2.0.10-10.el5.noarch\n'

As a result, if you want to reprovision a PV host using cobbler/koan, you have to uninstall this package before proceeding.

Version-Release number of selected component (if applicable):
530, 6/12 build

How reproducible:
Always

Steps to Reproduce:
1. Install the rhn-kickstart-virtualization package
2. Install spacewalk-koan
  
Actual results:
As above

Expected results:
spacewalk-koan package installs successfully

Additional info:
Comment 2 Justin Sherrill 2009-06-22 15:19:54 EDT
ff15c7f

During scheduling either guest install or reprovisioning, we check to see if rhn-kickstart-virtualization is installed.  If it is, we schedule a removal before the spacewalk-koan installation.

-justin
Comment 3 Miroslav Suchý 2009-07-02 10:24:35 EDT
[root@xen30 ~]# yum install rhn-kickstart-virtualization spacewalk-koan
Loaded plugins: rhnplugin, security
Setting up Install Process
Parsing package install arguments
Package rhn-kickstart-virtualization-5.3.0-2.el5sat.noarch already installed and latest version
Resolving Dependencies
There are unfinished transactions remaining. You mightconsider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package spacewalk-koan.noarch 0:0.1.11-9.el5sat set to be updated
--> Processing Dependency: koan >= 1.4.3 for package: spacewalk-koan
--> Running transaction check
---> Package koan.noarch 0:1.6.6-2.el5sat set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==========================================================================================================================================
 Package                        Arch                   Version                         Repository                                    Size
==========================================================================================================================================
Installing:
 spacewalk-koan                 noarch                 0.1.11-9.el5sat                 rhn-tools-rhel-i386-server-5                  18 k
Installing for dependencies:
 koan                           noarch                 1.6.6-2.el5sat                  rhn-tools-rhel-i386-server-5                 169 k

Transaction Summary
==========================================================================================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total size: 186 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/rhn/actions/kickstart_guest.py from install of spacewalk-koan-0.1.11-9.el5sat.noarch conflicts with file from package rhn-kickstart-virtualization-5.3.0-2.el5sat.noarch
  file /usr/share/rhn/actions/kickstart_guest.pyc from install of spacewalk-koan-0.1.11-9.el5sat.noarch conflicts with file from package rhn-kickstart-virtualization-5.3.0-2.el5sat.noarch
  file /usr/share/rhn/actions/kickstart_guest.pyo from install of spacewalk-koan-0.1.11-9.el5sat.noarch conflicts with file from package rhn-kickstart-virtualization-5.3.0-2.el5sat.noarch

Error Summary
-------------


If I follow #2 it works OK. But steps in original report still leads to fail.
Please either make clear what is test plan or fix the case when I run:
 yum install rhn-kickstart-virtualization spacewalk-koan
Comment 4 Justin Sherrill 2009-07-02 11:46:08 EDT
Yes, test plan is only:

1.  Have rhn-kickstart-virtualization package installed 
2.  Try to provision a virt guest on a 5.3.0 satellite


There's nothing we can do with regard to doing a 'yum install' of spacewalk-koan. 

If we obsolete it in the package then it breaks hosted, so that's the best we can do.

-Justin
Comment 5 Jay Dobies 2009-07-15 11:56:36 EDT
Verified on build 2009.07.09



Saw the following in the rhn_check call:

D: Searching for installed package to remove: ('rhn-kickstart-virtualization', '', '', '5.3.0', '2.el5sat')
D: Found 1 package(s) to remove



After completion, the rhn-kickstart-virtualization package was no longer installed. There were no conflicts with the spacewalk-koan installation.

[root@rlx-2-14 ~]# rpm -qa | grep rhn-kick
rhn-kickstart-common-5.3.0-2.el5sat
[root@rlx-2-14 ~]# rpm -qa | grep spacewalk-koan
spacewalk-koan-0.1.11-10.el5sat
Comment 6 Jay Dobies 2009-07-15 11:56:58 EDT
Verified on build 2009.07.09



Saw the following in the rhn_check call:

D: Searching for installed package to remove: ('rhn-kickstart-virtualization', '', '', '5.3.0', '2.el5sat')
D: Found 1 package(s) to remove



After completion, the rhn-kickstart-virtualization package was no longer installed. There were no conflicts with the spacewalk-koan installation.

[root@rlx-2-14 ~]# rpm -qa | grep rhn-kick
rhn-kickstart-common-5.3.0-2.el5sat
[root@rlx-2-14 ~]# rpm -qa | grep spacewalk-koan
spacewalk-koan-0.1.11-10.el5sat
Comment 7 John Matthews 2009-07-29 15:21:22 EDT
Moving to release pending

following test plan from comment #4

Took a virt host with rhn-kickstart-virtualization installed, reg to satellite.
Scheduled a provision of a guest and saw that "rhn-kickstart-virtualization" was removed.
Comment 8 Brandon Perkins 2009-09-10 15:26:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.